Subject: New release of XS3
From: [email-masked]
Date: Thu, 25 Feb 1993 19:23:06 GMT
Newsgroups: comp.os.linux.announce

I have made a new, binary only release of XS3, this contains many fixes
made since the last official release in December, and should work better and
on more hardware.

Key changes:
*   Reports hardware clocks if no Clocks line.
*   Hardware scroll fixed (I found the missing registers).
*   Support for Interlaced mode added.
*   Better error reporting (stolen from xfree86-1.2).
*   Bug in CopyArea fixed.
*   Keyword added:
        vendor "nolinear" 
     Makes XS3 _not_ use linear memory accessing, and work on cards were 
     this is a problem (805 localbus and some newer Diamond cards).
*   Uses wait state settings from card, so might work better on localbus cards.
*   Compressed and speedo font suppport.

You can get this release from ftp.robots.ox.ac.uk in the directory 
/pub/linux/S3 
 I have named this release XS3.0.4, and the tar file
XS3-0.4.tar.Z
 contains all you should need on top of the complete xfree86 clients fonts
etc (v1.1 or 1.2 will work).

This directory has been mirrored by SunSite.unc.edu, and nic.funet.fi, use
which ever is closer (NB. directory name will be different).

INSTALL INSTRUCTIONS:

You will need the basic X setup, grab the XFree86 archives and unpack them.
Read the README files supplied with xfree86, and check it is installed
correctly by running X386mono.

Unpack the XS3-0.4.4.tar archive in some directory xxx
then do the following:

# cd /usr/X386/bin
# cp xxx/XS3-0.4.4/XS3-0.4.4 .
# ln -sf X XS3-0.4.4
# chown root XS3-0.4.4
# chmod u+s XS3-0.4.4
# cp -f xxx/XS3-0.4.4/Xconfig /usr/X386/lib/X11
# edit /usr/X386/lib/X11/Xconfig
  ^ use your favourite editor to set the mouse settings, this is documented 
in the xfree86 release.

Run startx, note down the clock speeds and enter them in the Xconfig file.
You can use the xclk program to give mode line entries, and the vgaset
program to fine tune them for your monitor.  There is an xfree86 tutorial
that explains this procedure, the Xconfig file distributed with XS3 contains
several examples.

Jon. 				  <[email-masked]>
--
"favorite line in xfree86"        FatalError("Sorry.\n");